#ifndef GBOX_MAILBOX_H
#define GBOX_MAILBOX_H

typedef struct _mailbox MailBox;
typedef struct _mailbox_list MailBoxList;

struct _mailbox {
  char *mailfile;
  char *nickname;
  int  size;
  int  interval;
  int  timer;
  int  priority;
  int  mail_in_box;
  int  mail_count;
  MailBox *next;
};

void add_mailbox(char *file, char *nick, int interval, int prio);
int count_mailboxes_with_new_mail(void);
int count_mailboxes(void);
void change_mailbox(char *file, MailBox* new_box);
void remove_mailbox(char *file);
void remove_mailbox_by_index(int index);
MailBox *get_mailbox(int index);
int count_mails_in_box(char *file);

#endif
